/ api / name / gb.returnobject
GB.ReturnObject
Syntax

    void GB.ReturnObject ( void *val )

Returns any object reference to the caller of the method or property.

- val is the object reference to be returned.

The return value is automatically converted to the class specified in the method or property signature.

| This function does not abort the method or property. You must explicitely return from it by using the `return` instruction.

### See also

Returning Values